Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgGA::StateSetManipulator Class Reference

Experimental class, not been looked at for a while, but which will be returned to at some point :-\. More...

Inheritance diagram for osgGA::StateSetManipulator:

[legend]
List of all members.

## Public Member Functions
| StateSetManipulator ()
virtual | ~StateSetManipulator ()
virtual const char * | className () const
| return the name of the object's class type.
virtual void | setStateSet (osg::StateSet *)
| attach a geostate to the manipulator to be used for specifying view.
virtual osg::StateSet * | getStateSet ()
| get the attached a geostate.
virtual const osg::StateSet * | getStateSet () const
| get the attached a geostate.
virtual bool | handle (const GUIEventAdapter &ea, GUIActionAdapter &us)
| Handle events, return true if handled, false otherwise.
virtual void | accept (GUIEventHandlerVisitor &)
| Handle visitations.
virtual void | getUsage (osg::ApplicationUsage &usage) const
| Get the keyboard and mouse usage of this manipulator.
void | setMaximumNumOfTextureUnits (unsigned int i)
unsigned int | getMaximumNumOfTextureUnits () const
## Protected Attributes
osg::ref_ptr< osg::StateSet > | _drawState
bool | _backface
bool | _lighting
bool | _texture
unsigned int | _maxNumOfTextureUnits

## Detailed Description

Experimental class, not been looked at for a while, but which will be returned to at some point :-\.

## Constructor & Destructor Documentation

osgGA::StateSetManipulator::StateSetManipulator | ( |  | ) |

virtual osgGA::StateSetManipulator::~StateSetManipulator | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void osgGA::StateSetManipulator::accept | ( | GUIEventHandlerVisitor & |  | ) | `[virtual]`

| Handle visitations. Reimplemented from osgGA::GUIEventHandler.

virtual const char* osgGA::StateSetManipulator::className | ( |  | ) | const`[inline, virtual]`

| return the name of the object's class type. Must be defined by derived classes. Implements osg::Object.

unsigned int osgGA::StateSetManipulator::getMaximumNumOfTextureUnits | ( |  | ) | const`[inline]`

virtual const osg::StateSet* osgGA::StateSetManipulator::getStateSet | ( |  | ) | const`[virtual]`

| get the attached a geostate.

virtual osg::StateSet* osgGA::StateSetManipulator::getStateSet | ( |  | ) | `[virtual]`

| get the attached a geostate.

virtual void osgGA::StateSetManipulator::getUsage | ( | osg::ApplicationUsage & | usage | ) | const`[virtual]`

| Get the keyboard and mouse usage of this manipulator. Reimplemented from osgGA::GUIEventHandler.

virtual bool osgGA::StateSetManipulator::handle | ( | const GUIEventAdapter & | ea,
|  | GUIActionAdapter & | us
| ) | `[virtual]`

| Handle events, return true if handled, false otherwise. Reimplemented from osgGA::GUIEventHandler.

void osgGA::StateSetManipulator::setMaximumNumOfTextureUnits | ( | unsigned int | i | ) | `[inline]`

virtual void osgGA::StateSetManipulator::setStateSet | ( | osg::StateSet * |  | ) | `[virtual]`

| attach a geostate to the manipulator to be used for specifying view.

## Member Data Documentation

bool osgGA::StateSetManipulator::_backface`[protected]`

osg::ref_ptr<osg::StateSet> osgGA::StateSetManipulator::_drawState`[protected]`

bool osgGA::StateSetManipulator::_lighting`[protected]`

unsigned int osgGA::StateSetManipulator::_maxNumOfTextureUnits`[protected]`

bool osgGA::StateSetManipulator::_texture`[protected]`

The documentation for this class was generated from the following file:

- StateSetManipulator